爬取 API
Crawl 参数预览
POST
预览由自然语言提示词生成的爬取参数
Documentation Index
Fetch the complete documentation index at: https://student-213fb9fc.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.firecrawl.dev/v2/crawl/params-preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"prompt": "<string>"
}
'{
"success": true,
"data": {
"url": "<string>",
"includePaths": [
"<string>"
],
"excludePaths": [
"<string>"
],
"maxDepth": 123,
"maxDiscoveryDepth": 123,
"crawlEntireDomain": true,
"allowExternalLinks": true,
"allowSubdomains": true,
"ignoreQueryParameters": true,
"deduplicateSimilarURLs": true,
"delay": 123,
"limit": 123
}
}Documentation Index
Fetch the complete documentation index at: https://student-213fb9fc.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.firecrawl.dev/v2/crawl/params-preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"prompt": "<string>"
}
'{
"success": true,
"data": {
"url": "<string>",
"includePaths": [
"<string>"
],
"excludePaths": [
"<string>"
],
"maxDepth": 123,
"maxDiscoveryDepth": 123,
"crawlEntireDomain": true,
"allowExternalLinks": true,
"allowSubdomains": true,
"ignoreQueryParameters": true,
"deduplicateSimilarURLs": true,
"delay": 123,
"limit": 123
}
}